declare const POOL_ADDRESSES_PROVIDER = "0x82405D1a189bd6cE4667809C35B37fBE136A4c5B";
declare const POOL = "0xDd3d7A7d03D9fD9ef45f3E587287922eF65CA38B";
declare const POOL_CONFIGURATOR = "0x1607FCeEc8dEbA4d5Da66D620b2363066d025a02";
declare const ORACLE = "0x20040a64612555042335926d72B4E5F667a67fA1";
declare const PRICE_ORACLE_SENTINEL = "0xc0Bac16A64FbAa7EE6483bD12a759e28cD13dcBe";
declare const ACL_ADMIN = "0x47aAdaAE1F05C978E6aBb7568d11B7F6e0FC4d6A";
declare const ACL_MANAGER = "0x7635bFF69E52023aB76267ab1EFf63434cdCe458";
declare const AAVE_PROTOCOL_DATA_PROVIDER = "0x4a24b44b252db149B5B9BCec4dc3c2752807d626";
declare const POOL_IMPL = "0xf2225A9099Ac572b65214Cb63Cd9482370B1f9F6";
declare const POOL_CONFIGURATOR_IMPL = "0x6fDdde45f777a4E461B0721a578b169b44579623";
declare const DEFAULT_INCENTIVES_CONTROLLER = "0xE9Dfe1cbD5F10C56c1466F6AC88e1Fb304Be3780";
declare const EMISSION_MANAGER = "0x2026b787C82331c364EAc13bf761Ca75eDeb0A4B";
declare const COLLECTOR = "0xc7B3cc5F5988613b0D620623C514EDFB32539720";
declare const DEFAULT_A_TOKEN_IMPL = "0x102EaA833530Eb822611adc19A9b9dc029eb570d";
declare const DEFAULT_VARIABLE_DEBT_TOKEN_IMPL = "0xdaE4c42F6d70a53D8b3689535556615C0483538a";
declare const CONFIG_ENGINE = "0x7CB7fdeEB5E71f322F8E39Be67959C32a6A3aAA3";
declare const RISK_STEWARD = "0xD9145b5F45Ad4519c7ACcD6E0A4A82e83bB8A6Dc";
declare const POOL_ADDRESSES_PROVIDER_REGISTRY = "0x629A5a607aC4901252e4C48a0Fde156785598F5b";
declare const UI_INCENTIVE_DATA_PROVIDER = "0xCB5B3ca20603231945dC5731C33E7f7F7679Ea89";
declare const UI_POOL_DATA_PROVIDER = "0xc69299Ddd3a704F6954c8Ae1AD00e0892d77Aee4";
declare const WALLET_BALANCE_PROVIDER = "0xF4c6Af5A37c284d907c668EbF76FbD7C139d4c11";
declare const WETH_GATEWAY = "0x6376D4df995f32f308f2d5049a7a320943023232";
declare const STATA_FACTORY = "0x535b2f7C20B9C83d70e519cf9991578eF9816B7B";
declare const DUST_BIN = "0x03001Bcf6C6B916E793f7BB49b8928c29882b3D8";
declare const CHAIN_ID = 1868;
declare const ASSETS: {
    readonly WETH: {
        readonly decimals: 18;
        readonly id: 0;
        readonly UNDERLYING: "0x4200000000000000000000000000000000000006";
        readonly A_TOKEN: "0x1bD45Cc20CE61BE344A64218E6Ade01E72b08f39";
        readonly V_TOKEN: "0xC52375A5A04C0ABe5a6Ca5F3a344be2415EF54dB";
        readonly INTEREST_RATE_STRATEGY: "0x486C2D3F59E4d72f3cAa301a7eF19E3db657F5b0";
        readonly ORACLE: "0x291cF980BA12505D65ee01BDe0882F1d5e533525";
    };
    readonly USDCe: {
        readonly decimals: 6;
        readonly id: 1;
        readonly UNDERLYING: "0xbA9986D2381edf1DA03B0B9c1f8b00dc4AacC369";
        readonly A_TOKEN: "0xb2C9E934A55B58D20496A5019F8722a96d8A44d8";
        readonly V_TOKEN: "0xccE2594ea5bC482DB9b4826Ce25d0764fE56BfD8";
        readonly INTEREST_RATE_STRATEGY: "0x486C2D3F59E4d72f3cAa301a7eF19E3db657F5b0";
        readonly ORACLE: "0xe9d6696fc74A8ef545D2c9C842f820763407E778";
    };
    readonly USDT: {
        readonly decimals: 6;
        readonly id: 2;
        readonly UNDERLYING: "0x3A337a6adA9d885b6Ad95ec48F9b75f197b5AE35";
        readonly A_TOKEN: "0xBAB0366ADdA6d2845c6BB5db4339A824350d24F7";
        readonly V_TOKEN: "0xb3B6f42Ef71DDd9348136FFBdF02B545c0d2B799";
        readonly INTEREST_RATE_STRATEGY: "0x486C2D3F59E4d72f3cAa301a7eF19E3db657F5b0";
        readonly ORACLE: "0x01bcEb741614D4388028EaF3284DCB04386c30D2";
    };
};
declare const E_MODES: {};
declare const EXTERNAL_LIBRARIES: {
    readonly FLASHLOAN_LOGIC: "0xE66AdcF153d0bD67a74e5d23e23F90b4011024EC";
    readonly BORROW_LOGIC: "0x1Fb8f7C906cddD28B42ae6Eb76abC04A91188635";
    readonly LIQUIDATION_LOGIC: "0x8dc095F287dBEBD9e15f75BB3DfBF18389BB8104";
    readonly POOL_LOGIC: "0x25Ed699a052B820d772765E26Ed4dD9f0A26F3E5";
    readonly SUPPLY_LOGIC: "0x33654b16A4De97bCE05d7dD06803Bf1066f3123C";
};

declare const AaveV3Soneium_AAVE_PROTOCOL_DATA_PROVIDER: typeof AAVE_PROTOCOL_DATA_PROVIDER;
declare const AaveV3Soneium_ACL_ADMIN: typeof ACL_ADMIN;
declare const AaveV3Soneium_ACL_MANAGER: typeof ACL_MANAGER;
declare const AaveV3Soneium_ASSETS: typeof ASSETS;
declare const AaveV3Soneium_CHAIN_ID: typeof CHAIN_ID;
declare const AaveV3Soneium_COLLECTOR: typeof COLLECTOR;
declare const AaveV3Soneium_CONFIG_ENGINE: typeof CONFIG_ENGINE;
declare const AaveV3Soneium_DEFAULT_A_TOKEN_IMPL: typeof DEFAULT_A_TOKEN_IMPL;
declare const AaveV3Soneium_DEFAULT_INCENTIVES_CONTROLLER: typeof DEFAULT_INCENTIVES_CONTROLLER;
declare const AaveV3Soneium_DEFAULT_VARIABLE_DEBT_TOKEN_IMPL: typeof DEFAULT_VARIABLE_DEBT_TOKEN_IMPL;
declare const AaveV3Soneium_DUST_BIN: typeof DUST_BIN;
declare const AaveV3Soneium_EMISSION_MANAGER: typeof EMISSION_MANAGER;
declare const AaveV3Soneium_EXTERNAL_LIBRARIES: typeof EXTERNAL_LIBRARIES;
declare const AaveV3Soneium_E_MODES: typeof E_MODES;
declare const AaveV3Soneium_ORACLE: typeof ORACLE;
declare const AaveV3Soneium_POOL: typeof POOL;
declare const AaveV3Soneium_POOL_ADDRESSES_PROVIDER: typeof POOL_ADDRESSES_PROVIDER;
declare const AaveV3Soneium_POOL_ADDRESSES_PROVIDER_REGISTRY: typeof POOL_ADDRESSES_PROVIDER_REGISTRY;
declare const AaveV3Soneium_POOL_CONFIGURATOR: typeof POOL_CONFIGURATOR;
declare const AaveV3Soneium_POOL_CONFIGURATOR_IMPL: typeof POOL_CONFIGURATOR_IMPL;
declare const AaveV3Soneium_POOL_IMPL: typeof POOL_IMPL;
declare const AaveV3Soneium_PRICE_ORACLE_SENTINEL: typeof PRICE_ORACLE_SENTINEL;
declare const AaveV3Soneium_RISK_STEWARD: typeof RISK_STEWARD;
declare const AaveV3Soneium_STATA_FACTORY: typeof STATA_FACTORY;
declare const AaveV3Soneium_UI_INCENTIVE_DATA_PROVIDER: typeof UI_INCENTIVE_DATA_PROVIDER;
declare const AaveV3Soneium_UI_POOL_DATA_PROVIDER: typeof UI_POOL_DATA_PROVIDER;
declare const AaveV3Soneium_WALLET_BALANCE_PROVIDER: typeof WALLET_BALANCE_PROVIDER;
declare const AaveV3Soneium_WETH_GATEWAY: typeof WETH_GATEWAY;
declare namespace AaveV3Soneium {
  export { AaveV3Soneium_AAVE_PROTOCOL_DATA_PROVIDER as AAVE_PROTOCOL_DATA_PROVIDER, AaveV3Soneium_ACL_ADMIN as ACL_ADMIN, AaveV3Soneium_ACL_MANAGER as ACL_MANAGER, AaveV3Soneium_ASSETS as ASSETS, AaveV3Soneium_CHAIN_ID as CHAIN_ID, AaveV3Soneium_COLLECTOR as COLLECTOR, AaveV3Soneium_CONFIG_ENGINE as CONFIG_ENGINE, AaveV3Soneium_DEFAULT_A_TOKEN_IMPL as DEFAULT_A_TOKEN_IMPL, AaveV3Soneium_DEFAULT_INCENTIVES_CONTROLLER as DEFAULT_INCENTIVES_CONTROLLER, AaveV3Soneium_DEFAULT_VARIABLE_DEBT_TOKEN_IMPL as DEFAULT_VARIABLE_DEBT_TOKEN_IMPL, AaveV3Soneium_DUST_BIN as DUST_BIN, AaveV3Soneium_EMISSION_MANAGER as EMISSION_MANAGER, AaveV3Soneium_EXTERNAL_LIBRARIES as EXTERNAL_LIBRARIES, AaveV3Soneium_E_MODES as E_MODES, AaveV3Soneium_ORACLE as ORACLE, AaveV3Soneium_POOL as POOL, AaveV3Soneium_POOL_ADDRESSES_PROVIDER as POOL_ADDRESSES_PROVIDER, AaveV3Soneium_POOL_ADDRESSES_PROVIDER_REGISTRY as POOL_ADDRESSES_PROVIDER_REGISTRY, AaveV3Soneium_POOL_CONFIGURATOR as POOL_CONFIGURATOR, AaveV3Soneium_POOL_CONFIGURATOR_IMPL as POOL_CONFIGURATOR_IMPL, AaveV3Soneium_POOL_IMPL as POOL_IMPL, AaveV3Soneium_PRICE_ORACLE_SENTINEL as PRICE_ORACLE_SENTINEL, AaveV3Soneium_RISK_STEWARD as RISK_STEWARD, AaveV3Soneium_STATA_FACTORY as STATA_FACTORY, AaveV3Soneium_UI_INCENTIVE_DATA_PROVIDER as UI_INCENTIVE_DATA_PROVIDER, AaveV3Soneium_UI_POOL_DATA_PROVIDER as UI_POOL_DATA_PROVIDER, AaveV3Soneium_WALLET_BALANCE_PROVIDER as WALLET_BALANCE_PROVIDER, AaveV3Soneium_WETH_GATEWAY as WETH_GATEWAY };
}

export { AaveV3Soneium as A, COLLECTOR as C, DEFAULT_INCENTIVES_CONTROLLER as D, EMISSION_MANAGER as E, ORACLE as O, POOL_ADDRESSES_PROVIDER as P, RISK_STEWARD as R, STATA_FACTORY as S, UI_INCENTIVE_DATA_PROVIDER as U, WALLET_BALANCE_PROVIDER as W, POOL as a, POOL_CONFIGURATOR as b, PRICE_ORACLE_SENTINEL as c, ACL_ADMIN as d, ACL_MANAGER as e, AAVE_PROTOCOL_DATA_PROVIDER as f, POOL_IMPL as g, POOL_CONFIGURATOR_IMPL as h, DEFAULT_A_TOKEN_IMPL as i, DEFAULT_VARIABLE_DEBT_TOKEN_IMPL as j, CONFIG_ENGINE as k, POOL_ADDRESSES_PROVIDER_REGISTRY as l, UI_POOL_DATA_PROVIDER as m, WETH_GATEWAY as n, DUST_BIN as o, CHAIN_ID as p, ASSETS as q, E_MODES as r, EXTERNAL_LIBRARIES as s };
